mqtt:
  enabled: false

detectors:
  coral:
    type: edgetpu
    device: pci

ffmpeg:
  hwaccel_args: preset-nvidia


record:
  enabled: true
  alerts:
    retain:
      days: 30
      mode: motion
  detections:
    retain:
      days: 30
      mode: motion

  continuous:
    days: 0
  motion:
    days: 3
go2rtc:
  streams:
#    Backbasement:
#      - ffmpeg:rtsp://tpadmin:Optimus0329@192.168.128.222:554/live/ch0#video=copy#audio=copy#audio=aac#hardware
#    SubBackBasement:
#      - ffmpeg:rtsp://tpadmin:Optimus0329@192.168.128.222:554/live/ch1#video=copy#audio=copy#audio=aac#hardware
#    FrontBasement:
#      - ffmpeg:rtsp://tpadmin:Optimus0329@192.168.128.223:554/live/ch0?token=e6cf2225e8bf5fb028543898fab9a545#video=copy#audio=copy#audio=aac#hardware
#    SubFrontBasement:
#      - ffmpeg:rtsp://tpadmin:Optimus0329@192.168.128.223:554/live/ch1?token=e6cf2225e8bf5fb028543898fab9a545#video=copy#audio=copy#audio=aac#hardware
#    Eningeering:
#      - ffmpeg:rtsp://tpadmin:Optimus0329@192.168.128.221:554/live/ch0?token=e6cf2225e8bf5fb028543898fab9a545#video=copy#audio=copy#audio=aac#hardware
#    SubEngineering:
#      - ffmpeg:rtsp://tpadmin:Optimus0329@192.168.128.221:554/live/ch1?token=e6cf2225e8bf5fb028543898fab9a545#video=copy#audio=copy#audio=aac#hardware
    Driveway:
      - ffmpeg:rtsp://admin:Optimus0329@192.168.128.11:80/ch12_0.264#video=copy#audio=copy#audio=aac#hardware
    SubDriveway:
      - ffmpeg:rtsp://admin:Optimus0329@192.168.128.11:80/ch12_1.264#video=copy#audio=copy#audio=aac#hardware
    Porch:
      - ffmpeg:rtsp://admin:Optimus0329@192.168.128.11:80/ch8_0.264#video=copy#audio=copy#audio=aac#hardware
    SubPorch:
      - ffmpeg:rtsp://admin:Optimus0329@192.168.128.11:80/ch8_1.264#video=copy#audio=copy#audio=aac#hardware
    FenceGate:
      - ffmpeg:rtsp://admin:Optimus0329@192.168.128.11:80/ch1_0.264#video=copy#audio=copy#audio=aac#hardware
    SubFenceGate:
      - ffmpeg:rtsp://admin:Optimus0329@192.168.128.11:80/ch1_1.264#video=copy#audio=copy#audio=aac#hardware
    GardenArea:
      - ffmpeg:rtsp://admin:Optimus0329@192.168.128.11:80/ch2_0.264#video=copy#audio=copy#audio=aac#hardware
    SubGardenArea:
      - ffmpeg:rtsp://admin:Optimus0329@192.168.128.11:80/ch2_1.264#video=copy#audio=copy#audio=aac#hardware
    Backyard1:
      - ffmpeg:rtsp://admin:Optimus0329@192.168.128.11:80/ch3_0.264#video=copy#audio=copy#audio=aac#hardware
    SubBackyard1:
      - ffmpeg:rtsp://admin:Optimus0329@192.168.128.11:80/ch3_1.264#video=copy#audio=copy#audio=aac#hardware
    Backyard2:
      - ffmpeg:rtsp://admin:Optimus0329@192.168.128.11:80/ch4_0.264#video=copy#audio=copy#audio=aac#hardware
    SubBackyard2:
      - ffmpeg:rtsp://admin:Optimus0329@192.168.128.11:80/ch4_1.264#video=copy#audio=copy#audio=aac#hardware
    Backyard3:
      - ffmpeg:rtsp://admin:Optimus0329@192.168.128.11:80/ch0_0.264#video=copy#audio=copy#audio=aac#hardware
    SubBackyard3:
      - ffmpeg:rtsp://admin:Optimus0329@192.168.128.11:80/ch0_1.264#video=copy#audio=copy#audio=aac#hardware
    Backyard4:
      - ffmpeg:rtsp://admin:Optimus0329@192.168.128.11:80/ch10_0.264#video=copy#audio=copy#audio=aac#hardware
    SubBackyard4:
      - ffmpeg:rtsp://admin:Optimus0329@192.168.128.11:80/ch10_1.264#video=copy#audio=copy#audio=aac#hardware
    Backyard5:
      - ffmpeg:rtsp://admin:Optimus0329@192.168.128.11:80/ch7_0.264#video=copy#audio=copy#audio=aac#hardware
    SubBackyard5:
      - ffmpeg:rtsp://admin:Optimus0329@192.168.128.11:80/ch7_1.264#video=copy#audio=copy#audio=aac#hardware
    PatioArea:
      - ffmpeg:rtsp://admin:Optimus0329@192.168.128.11:80/ch6_0.264#video=copy#audio=copy#audio=aac#hardware
    SubPatioArea:
      - ffmpeg:rtsp://admin:Optimus0329@192.168.128.11:80/ch6_1.264#video=copy#audio=copy#audio=aac#hardware
    PoolArea:
      - ffmpeg:rtsp://admin:Optimus0329@192.168.128.11:80/ch9_0.264#video=copy#audio=copy#audio=aac#hardware
    SubPoolArea:
      - ffmpeg:rtsp://admin:Optimus0329@192.168.128.11:80/ch9_1.264#video=copy#audio=copy#audio=aac#hardware
    SideHouse:
      - ffmpeg:rtsp://admin:Optimus0329@192.168.128.11:80/ch11_0.264#video=copy#audio=copy#audio=aac#hardware
    SubSideHouse:
      - ffmpeg:rtsp://admin:Optimus0329@192.168.128.11:80/ch11_1.264#video=copy#audio=copy#audio=aac#hardware
    BackSlider:
      - ffmpeg:rtsp://admin:Optimus0329@192.168.128.11:80/ch5_0.264#video=copy#audio=copy#audio=aac#hardware
    SubBackSlider:
      - ffmpeg:rtsp://admin:Optimus0329@192.168.128.11:80/ch5_1.264#video=copy#audio=copy#audio=aac#hardware


cameras:
#  name_of_your_camera: # <------ Name the camera
#    enabled: True
#    ffmpeg:
#      inputs:
#        - path: rtsp://10.0.10.10:554/rtsp # <----- The stream you want to use for detection
#          roles:
#            - detect
#    detect:
#      enabled: False # <---- disable detection until you have a working camera feed
#      width: 1280
#      height: 720

#  back_basement:
#    enabled: true
#    ffmpeg:
#      inputs:
#       # - path: rtsp://tpadmin:Optimus0329@192.168.128.225/stream1
#        - path: rtsp://127.0.0.1:8554/BackBasement
#          #input_args: preset-rtsp-restream
#           roles:
#            - record
#        - path: rtsp://127.0.0.1:8554/SubBackBasement
#          #input_args: preset-rtsp-restream
#          roles:
#             - detect
#    detect:
#      enabled: true # <---- disable detection until you have a working camera feed
#      width: 1280
#      height: 720
#      fps: 5
#    motion:
#      enabled: true
#      threshold: 30
#      contour_area: 30
#      mask: 0.683,0.006,0.683,0.056,0.766,0.055,0.996,0.054,0.996,0.006
#      improve_contrast: true
#    snapshots:
#      enabled: true
#      timestamp: true
#      bounding_box: true
#      retain:
#        objects:
#          person: 7
#  front_basement:
#    enabled: true
#    ffmpeg:
#      inputs:
#       # - path: rtsp://tpadmin:Optimus0329@192.168.128.225/stream1
#        - path: rtsp://127.0.0.1:8554/FrontBasement
#          #input_args: preset-rtsp-restream
#          roles:
#            - record
#        - path: rtsp://127.0.0.1:8554/SubFrontBasement
#          #input_args: preset-rtsp-restream
#          roles:
#            - detect
#    detect:
#      enabled: true # <---- disable detection until you have a working camera feed
#      width: 1280
#      height: 720
#      fps: 5
#    motion:
#      enabled: true
#      threshold: 30
#      contour_area: 30
#      mask: 0.723,0,0.724,0.05,1,0.048,0.999,0.001
#      improve_contrast: true
#    snapshots:
#      enabled: true
#      timestamp: true
#      bounding_box: true
#      retain:
#        objects:
#          person: 7
#    record:
#      enabled: false
#  engineering:
#    enabled: true
#    ffmpeg:
#      inputs:
#       # - path: rtsp://tpadmin:Optimus0329@192.168.128.225/stream1
#        - path: rtsp://127.0.0.1:8554/Engineering
#          #input_args: preset-rtsp-restream
#          roles:
#            - record
#        - path: rtsp://127.0.0.1:8554/SubEngineering
#          #input_args: preset-rtsp-restream
#          roles:
#            - detect
#    detect:
#      enabled: true # <---- disable detection until you have a working camera feed
#      width: 1280
#      height: 720
#      fps: 5
#    motion:
#      enabled: true
#      threshold: 14
#      contour_area: 15
#      improve_contrast: true
#    snapshots:
#      enabled: true
#      timestamp: true
#      bounding_box: true
#      retain:
#        objects:
#          person: 7
#    record:
#      enabled: false
  driveway:
    enabled: true
    ffmpeg:
      inputs:
       # - path: rtsp://tpadmin:Optimus0329@192.168.128.225/stream1
       # - path: rtsp://127.0.0.1:8554/Driveway
       #   input_args: preset-rtsp-restream
       #   roles:
       #     - record
        - path: rtsp://127.0.0.1:8554/SubDriveway
          input_args: preset-rtsp-restream
          roles:
            - record
            - detect
    detect:
      enabled: true # <---- disable detection until you have a working camera feed
      width: 1280
      height: 720
      fps: 5
    snapshots:
      enabled: true
      timestamp: true
      bounding_box: true
      retain:
        objects:
          person: 7
    record:
      enabled: true
    zones:
      drivewayview:
        coordinates: 0,0.373,0,1,1,1,1,0.381,0.47,0.343,0.134,0.352
        loitering_time: 0
        friendly_name: DrivewayView
  porch:
    enabled: true
    ffmpeg:
      inputs:
       # - path: rtsp://tpadmin:Optimus0329@192.168.128.225/stream1
       # - path: rtsp://127.0.0.1:8554/Porch
          # input_args: preset-rtsp-restream
          # roles:
          #   - record
        - path: rtsp://127.0.0.1:8554/SubPorch
          input_args: preset-rtsp-restream
          roles:
            - record
            - detect
    detect:
      enabled: true # <---- disable detection until you have a working camera feed
      width: 1280
      height: 720
      fps: 5
    snapshots:
      enabled: true
      timestamp: true
      bounding_box: true
      retain:
        objects:
          person: 7
    record:
      enabled: true
  fence_gate:
    enabled: true
    ffmpeg:
      inputs:
       # - path: rtsp://tpadmin:Optimus0329@192.168.128.225/stream1
        # - path: rtsp://127.0.0.1:8554/FenceGate
        #   input_args: preset-rtsp-restream
        #   roles:
        #     - record
        - path: rtsp://127.0.0.1:8554/SubFenceGate
          input_args: preset-rtsp-restream
          roles:
            - record
            - detect
    detect:
      enabled: true # <---- disable detection until you have a working camera feed
      width: 1280
      height: 720
      fps: 5
    snapshots:
      enabled: true
      timestamp: true
      bounding_box: true
      retain:
        objects:
          person: 7
    record:
      enabled: true
    zones:
      fencegate:
        coordinates: 
          0,0.395,0.318,0.259,0.598,0.175,0.916,0.237,1,0.296,1,1,0.003,0.996
        loitering_time: 0
        friendly_name: FenceGate
  garden_area:
    enabled: true
    ffmpeg:
      inputs:
       # - path: rtsp://tpadmin:Optimus0329@192.168.128.225/stream1
        # - path: rtsp://127.0.0.1:8554/GardenArea
        #   input_args: preset-rtsp-restream
        #   roles:
        #     - record
        - path: rtsp://127.0.0.1:8554/SubGardenArea
          input_args: preset-rtsp-restream
          roles:
            - record
            - detect
    detect:
      enabled: true # <---- disable detection until you have a working camera feed
      width: 1280
      height: 720
      fps: 5
    snapshots:
      enabled: true
      timestamp: true
      bounding_box: true
      retain:
        objects:
          person: 7
    record:
      enabled: true
  backyard_1:
    enabled: true
    ffmpeg:
      inputs:
       # - path: rtsp://tpadmin:Optimus0329@192.168.128.225/stream1
        # - path: rtsp://127.0.0.1:8554/Backyard1
        #   input_args: preset-rtsp-restream
        #   roles:
        #     - record
        - path: rtsp://127.0.0.1:8554/SubBackyard1
          input_args: preset-rtsp-restream
          roles:
            - record
            - detect
    detect:
      enabled: true # <---- disable detection until you have a working camera feed
      width: 1280
      height: 720
      fps: 5
    snapshots:
      enabled: true
      timestamp: true
      bounding_box: true
      retain:
        objects:
          person: 7
    record:
      enabled: true
    zones:
      backyard1:
        coordinates: 
          0.001,0.274,0.124,0.162,0.228,0.143,0.382,0.131,0.555,0.133,0.714,0.16,0.854,0.196,0.998,0.253,0.998,0.996,0,0.992
        loitering_time: 0
        friendly_name: Backyard1
  backyard_2:
    enabled: true
    ffmpeg:
      inputs:
       # - path: rtsp://tpadmin:Optimus0329@192.168.128.225/stream1
        # - path: rtsp://127.0.0.1:8554/Backyard2
        #   input_args: preset-rtsp-restream
        #   roles:
        #     - record
        - path: rtsp://127.0.0.1:8554/SubBackyard2
          input_args: preset-rtsp-restream
          roles:
            - record
            - detect
    detect:
      enabled: true # <---- disable detection until you have a working camera feed
      width: 1280
      height: 720
      fps: 5
    snapshots:
      enabled: true
      timestamp: true
      bounding_box: true
      retain:
        objects:
          person: 7
    record:
      enabled: true
    zones:
      backyard2:
        coordinates: 
          0.002,0.147,0.086,0.106,0.172,0.091,0.271,0.078,0.386,0.077,0.499,0.077,0.601,0.086,0.698,0.099,0.787,0.117,0.859,0.087,0.995,0.155,0.998,0.992,0.001,0.995
        loitering_time: 0
        friendly_name: Backyard2
  backyard_3:
    enabled: true
    ffmpeg:
      inputs:
       # - path: rtsp://tpadmin:Optimus0329@192.168.128.225/stream1
        # - path: rtsp://127.0.0.1:8554/Backyard3
        #   input_args: preset-rtsp-restream
        #   roles:
        #     - record
        - path: rtsp://127.0.0.1:8554/SubBackyard3
          input_args: preset-rtsp-restream
          roles:
            - record
            - detect
    detect:
      enabled: true # <---- disable detection until you have a working camera feed
      width: 1280
      height: 720
      fps: 5
    snapshots:
      enabled: true
      timestamp: true
      bounding_box: true
      retain:
        objects:
          person: 7
    record:
      enabled: true
    zones:
      backyard3:
        coordinates: 
          0.001,0.337,0.166,0.332,0.327,0.342,0.419,0.344,0.51,0.355,0.603,0.363,0.692,0.374,0.771,0.381,0.848,0.389,0.951,0.405,0.997,0.423,0.998,0.996,0.003,0.994
        loitering_time: 0
        friendly_name: Backyard3
    motion:
      mask: 0.79,0.539,0.845,0.541,0.82,0.858,0.772,0.844
  backyard_4:
    enabled: true
    ffmpeg:
      inputs:
       # - path: rtsp://tpadmin:Optimus0329@192.168.128.225/stream1
        # - path: rtsp://127.0.0.1:8554/Backyard4
        #   input_args: preset-rtsp-restream
        #   roles:
        #     - record
        - path: rtsp://127.0.0.1:8554/SubBackyard4
          input_args: preset-rtsp-restream
          roles:
            - record
            - detect
    detect:
      enabled: true # <---- disable detection until you have a working camera feed
      width: 1280
      height: 720
      fps: 5
    snapshots:
      enabled: true
      timestamp: true
      bounding_box: true
      retain:
        objects:
          person: 7
    record:
      enabled: true
    motion:
      mask:
        - 0.866,0.001,0.866,0.209,1,0.202,1,0
        - 0.001,0,0.249,0.001,0.249,0.045,0.002,0.044
      threshold: 60
      contour_area: 10
      improve_contrast: true
  backyard_5:
    enabled: true
    ffmpeg:
      inputs:
       # - path: rtsp://tpadmin:Optimus0329@192.168.128.225/stream1
        # - path: rtsp://127.0.0.1:8554/Backyard5
        #   input_args: preset-rtsp-restream
        #   roles:
        #     - record
        - path: rtsp://127.0.0.1:8554/SubBackyard5
          input_args: preset-rtsp-restream
          roles:
            - record
            - detect
    detect:
      enabled: true # <---- disable detection until you have a working camera feed
      width: 1280
      height: 720
      fps: 5
    snapshots:
      enabled: true
      timestamp: true
      bounding_box: true
      retain:
        objects:
          person: 7
    record:
      enabled: true
    motion:
      mask:
        - 0.029,0.31,0.13,0.305,0.134,0.54,0.032,0.544
        - 0.004,0.002,0.004,0.044,0.245,0.044,0.244,0
      threshold: 60
      contour_area: 10
      improve_contrast: true
    zones:
      backyard5:
        coordinates: 
          0.001,0.305,0.043,0.264,0.113,0.194,0.19,0.128,0.271,0.109,0.371,0.089,0.525,0.057,0.709,0.057,0.89,0.076,0.997,0.122,0.997,0.995,0.002,0.998
        loitering_time: 0
        friendly_name: Backyard5
  patio_area:
    enabled: true
    ffmpeg:
      inputs:
       # - path: rtsp://tpadmin:Optimus0329@192.168.128.225/stream1
        # - path: rtsp://127.0.0.1:8554/PatioArea
        #   input_args: preset-rtsp-restream
        #   roles:
        #     - record
        - path: rtsp://127.0.0.1:8554/SubPatioArea
          input_args: preset-rtsp-restream
          roles:
            - record
            - detect
    detect:
      enabled: true # <---- disable detection until you have a working camera feed
      width: 1280
      height: 720
      fps: 5
    snapshots:
      enabled: true
      timestamp: true
      bounding_box: true
      retain:
        objects:
          person: 7
    record:
      enabled: true
  pool_area:
    enabled: true
    ffmpeg:
      inputs:
       # - path: rtsp://tpadmin:Optimus0329@192.168.128.225/stream1
        # - path: rtsp://127.0.0.1:8554/PoolArea
        #   input_args: preset-rtsp-restream
        #   roles:
        #     - record
        - path: rtsp://127.0.0.1:8554/SubPoolArea
          input_args: preset-rtsp-restream
          roles:
            - record
            - detect
    detect:
      enabled: true # <---- disable detection until you have a working camera feed
      width: 1280
      height: 720
      fps: 5
    snapshots:
      enabled: true
      timestamp: true
      bounding_box: true
      retain:
        objects:
          person: 7
    record:
      enabled: true
    motion:
      mask: 
        0.43,0.146,0.704,0.194,0.532,0.808,0.199,0.704,0.002,0.559,0.252,0.282
  back_slider:
    enabled: true
    ffmpeg:
      inputs:
       # - path: rtsp://tpadmin:Optimus0329@192.168.128.225/stream1
        # - path: rtsp://127.0.0.1:8554/BackSlider
        #   input_args: preset-rtsp-restream
        #   roles:
        #     - record
        - path: rtsp://127.0.0.1:8554/SubBackSlider
          input_args: preset-rtsp-restream
          roles:
            - record
            - detect
    detect:
      enabled: true # <---- disable detection until you have a working camera feed
      width: 1280
      height: 720
      fps: 5
    snapshots:
      enabled: true
      timestamp: true
      bounding_box: true
      retain:
        objects:
          person: 7
    record:
      enabled: true
  side_house:
    enabled: true
    ffmpeg:
      inputs:
       # - path: rtsp://tpadmin:Optimus0329@192.168.128.225/stream1
        # - path: rtsp://127.0.0.1:8554/SideHouse
        #   input_args: preset-rtsp-restream
        #   roles:
        #     - record
        - path: rtsp://127.0.0.1:8554/SubSideHouse
          input_args: preset-rtsp-restream
          roles:
            - record
            - detect
    detect:
      enabled: true # <---- disable detection until you have a working camera feed
      width: 1280
      height: 720
      fps: 5
    snapshots:
      enabled: true
      timestamp: true
      bounding_box: true
      retain:
        objects:
          person: 7
    record:
      enabled: true
    motion:
      threshold: 60
      contour_area: 40
      improve_contrast: true
      mask: 
        0.001,0.859,0.085,0.717,0.203,0.637,0.383,0.736,0.65,0.421,0.642,0.997,0.003,0.999
    zones:
      sidehouse:
        coordinates: 0.661,0.001,0.662,0.996,1,1,1,0
        loitering_time: 0
        friendly_name: SideHouse
    objects:
      filters:
        person: {}
version: 0.17-0
